
Redmine - Feature #8841

Allow per-project groups of users

2011-07-18 21:59 - Giovani Spagnolo

Status: Closed Start date: 2011-07-18

Priority: Normal Due date:  

Assignee: Jean-Baptiste Barth % Done: 0%

Category: Project settings Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate   

Description

Sometimes a issue should be assigned to more than one person at the same time (for example change requests in our case are

assigned to the project Change Control Board). It would be useful to have under the project settings a way to create groups of users

and have its name available in the assign to dropdown list along with other users, so when a taks is assigned to the group an email

notification is sent to all group members.

Related issues:

Is duplicate of Redmine - Feature #2964: Ability to assign issues to groups Closed 2009-03-13

History

#1 - 2011-08-04 23:33 - Jean-Baptiste Barth

- Status changed from New to Closed

- Resolution set to Duplicate

There are already Redmine groups. You cannot assign issues to them directly, but it's planned for the next major version 1.3.0, see #2964.

#2 - 2011-08-05 09:16 - Giovani Spagnolo

- Status changed from Closed to Reopened

- Assignee set to Jean-Baptiste Barth

Yes, sorry I think I haven't detailed it enough. The request was to enhance this existing functionality.

As of now only the redmine admin can create groups and groups are not per-project (like versions or categories) so it is hard to manage for example

the Change Board In project A, project B, project C that have the same name but are composed of different people. It is also difficult for bigger

organizations with teams from different departments. It is probably related to #8891. Thanks.

#3 - 2011-08-05 09:32 - Stéphane POTTIER

+1

#4 - 2011-10-29 21:34 - William Baum

This is related to #8891, but is not a duplicate #2964 as implemented in r6306.

If and when #2964 is changed to allow issue assignment by Role rather than Group, you'll be able to create a Role for your Change Control Board

members and assign issues to that Role.

#5 - 2011-11-18 17:51 - Jean-Philippe Lang

- Status changed from Reopened to Closed

Please open another ticket for role assignment. This won't be part of this one for 1.3.0.
